Skip to main content
GET
/
assets
List all assets.
curl --request GET \
  --url https://api.samsara.com/assets \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "createdAtTime": "2020-01-27T07:06:25Z",
      "id": "12345",
      "updatedAtTime": "2020-01-27T07:06:25Z",
      "externalIds": {},
      "licensePlate": "XHK1234",
      "make": "Bobcat",
      "model": "S630 T4",
      "name": "MyAsset-1234",
      "notes": "These are notes.",
      "readingsIngestionEnabled": true,
      "regulationMode": "mixed",
      "serialNumber": "LN016251",
      "tags": [
        {
          "id": "3914",
          "name": "East Coast",
          "parentTagId": "4815"
        }
      ],
      "type": "trailer",
      "vin": "1FUJBBCKXCLBZ1234",
      "year": 2015
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

type
enum<string>

The operational context in which the asset interacts with the Samsara system. Examples: Vehicle (eg: truck, bus...), Trailer (eg: dry van, reefer, flatbed...), Powered Equipment (eg: dozer, crane...), Unpowered Equipment (eg: container, dumpster...), or Uncategorized. Valid values: uncategorized, trailer, equipment, unpowered, vehicle

Available options:
uncategorized,
trailer,
equipment,
unpowered,
vehicle
after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

updatedAfterTime
string

A filter on data to have an updated at time after or equal to this specified time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

includeExternalIds
boolean

Optional boolean indicating whether to return external IDs on supported entities

includeTags
boolean

Optional boolean indicating whether to return tags on supported entities

tagIds
string

A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678

parentTagIds
string

A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678

ids
string[]

A filter on the data based on this comma-separated list of asset IDs and External IDs.

externalIds
string[]

A filter on the data based on this comma-separated list of external IDs. Example: externalIds=maintenanceId:250020,vin:1HGBH41JXMN109186

attributeValueIds
string

A filter on the data based on this comma-separated list of attribute value IDs. Only entities associated with ALL of the referenced values will be returned (i.e. the intersection of the sets of entities with each value). Example: attributeValueIds=076efac2-83b5-47aa-ba36-18428436dcac,6707b3f0-23b9-4fe3-b7be-11be34aea544

attributes
string[]

A filter on the data to return entities within given range query (only for numeric and date attributes) separated by a comma. Only entities meeting all the conditions will be returned. At least one bound must be provided. Example: attributes=Length:range(8,)&attributes=Length:range(10,20)&attributes=Date:range(2025-01-01,2025-01-31)

Response

OK response.

data
object[]
required

List of assets

pagination
object
required

Pagination parameters.